> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoint to update the store setup progress

> It will update the store setup progress



## OpenAPI

````yaml /api-reference/store/openapi.json put /store/setup/progress
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/setup/progress:
    put:
      summary: Endpoint to update the store setup progress
      description: It will update the store setup progress
      operationId: update-store-setup-progress
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateStoreSetupProgressDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreSetupProgressResponseDto'
components:
  schemas:
    UpdateStoreSetupProgressDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        onboardingCompletedAt:
          format: date-time
          type: string
          description: Date when the setup was completed
      required:
        - altId
        - altType
        - onboardingCompletedAt
    StoreSetupProgressResponseDto:
      type: object
      properties:
        status:
          type: boolean
          description: Status of api action
          example: true
        message:
          type: string
          description: Success message
          example: Successfully created
        data:
          $ref: '#/components/schemas/StoreSetupProgress'
      required:
        - status
        - data
    StoreSetupProgress:
      type: object
      properties: {}

````